> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# private/get_account_summaries

> Retrieves a per-currency list of account summaries for the authenticated user. Each summary includes balance, equity, available funds, and margin information for each currency.

To retrieve summaries for a specific subaccount, use the `subaccount_id` parameter. When the `extended` parameter is set to `true`, additional account details such as account ID, username, email, and account type are included.

**Scope:** `rat#view` or `wallet:accounts:read`

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fget_account_summaries)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /private/get_account_summaries
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /private/get_account_summaries:
    get:
      tags:
        - Account Management
        - Private
      description: >+
        Retrieves a per-currency list of account summaries for the authenticated
        user. Each summary includes balance, equity, available funds, and margin
        information for each currency.


        To retrieve summaries for a specific subaccount, use the `subaccount_id`
        parameter. When the `extended` parameter is set to `true`, additional
        account details such as account ID, username, email, and account type
        are included.


        **Scope:** `rat#view` or `wallet:accounts:read`


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fget_account_summaries)

      parameters:
        - description: The user id for the subaccount
          in: query
          name: subaccount_id
          required: false
          schema:
            type: integer
        - description: Include additional fields
          in: query
          name: extended
          required: false
          schema:
            example: true
            type: boolean
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 2515
                  jsonrpc: '2.0'
                  method: private/get_account_summaries
                  params:
                    extended: true
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PrivateAccountSummariesResponse'
components:
  responses:
    PrivateAccountSummariesResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 2515
                jsonrpc: '2.0'
                result:
                  block_rfq_self_match_prevention: true
                  creation_timestamp: 1687352432143
                  email: user@example.com
                  id: 10
                  interuser_transfers_enabled: false
                  login_enabled: false
                  mmp_enabled: false
                  referrer_id: null
                  security_keys_enabled: false
                  self_trading_extended_to_subaccounts: false
                  self_trading_reject_mode: cancel_maker
                  summaries:
                    - available_funds: 301.38059622
                      available_withdrawal_funds: 301.35396172
                      balance: 302.60065765
                      cross_collateral_enabled: false
                      currency: BTC
                      delta_total: 31.602958
                      delta_total_map:
                        btc_usd: 31.594357699
                      equity: 302.61869214
                      estimated_liquidation_ratio: 0.10098722
                      estimated_liquidation_ratio_map:
                        btc_usd: 0.1009872222854525
                      fee_balance: 0
                      fees:
                        btc_usd:
                          future:
                            block_trade: 0.3
                            default:
                              maker: -0.0001
                              taker: 0.00035000000000000005
                              type: fixed
                          option:
                            block_trade: 0.625
                            default:
                              maker: 0.625
                              taker: 0.625
                              type: relative
                          perpetual:
                            block_trade: 0.3
                            default:
                              maker: -0.0001
                              taker: 0.00035000000000000005
                              type: fixed
                      futures_pl: -0.32434225
                      futures_session_rpl: -0.03258105
                      futures_session_upl: 0.05921555
                      initial_margin: 1.24669592
                      limits:
                        limits_per_currency: false
                        matching_engine:
                          cancel_all:
                            burst: 250
                            rate: 200
                          guaranteed_quotes:
                            burst: 2
                            rate: 2
                          max_quotes:
                            burst: 10
                            rate: 10
                          quotes:
                            burst: 500
                            rate: 500
                          spot:
                            burst: 250
                            rate: 200
                          trading:
                            total:
                              burst: 250
                              rate: 200
                        non_matching_engine:
                          burst: 1500
                          rate: 1000
                      maintenance_margin: 0.8857841
                      margin_balance: 302.62729214
                      margin_model: segregated_sm
                      options_delta: -1.01962
                      options_gamma: 0.00001
                      options_gamma_map:
                        btc_usd: 0.00001
                      options_pl: -0.0065
                      options_session_rpl: 0
                      options_session_upl: -0.0065
                      options_theta: 15.97071
                      options_value: -0.0086
                      options_vega: 0.0858
                      options_vega_map:
                        btc_usd: 0.0858
                      portfolio_margining_enabled: false
                      projected_delta_total: 32.613978
                      projected_initial_margin: 1.01529592
                      projected_maintenance_margin: 0.7543841
                      session_rpl: -0.03258105
                      session_upl: 0.05271555
                      spot_reserve: 0
                      total_pl: -0.33084225
                    - additional_reserve: 0
                      available_funds: 99.999598
                      available_withdrawal_funds: 99.999597
                      balance: 100
                      cross_collateral_enabled: false
                      currency: ETH
                      delta_total: 0
                      delta_total_map:
                        eth_usd: 0
                      equity: 100
                      estimated_liquidation_ratio: 0
                      estimated_liquidation_ratio_map:
                        eth_usd: 0
                      fee_balance: 0
                      fees:
                        eth_usd:
                          future:
                            block_trade: 0.2
                            default:
                              maker: -0.00005
                              taker: 0.00025
                              type: fixed
                          option:
                            block_trade: 0.5
                            default:
                              maker: 0.5
                              taker: 0.5
                              type: relative
                          perpetual:
                            block_trade: 0.2
                            default:
                              maker: -0.00005
                              taker: 0.00025
                              type: fixed
                      futures_pl: 0
                      futures_session_rpl: 0
                      futures_session_upl: 0
                      initial_margin: 0.000402
                      limits:
                        limits_per_currency: false
                        matching_engine:
                          cancel_all:
                            burst: 250
                            rate: 200
                          guaranteed_quotes:
                            burst: 2
                            rate: 2
                          max_quotes:
                            burst: 10
                            rate: 10
                          quotes:
                            burst: 500
                            rate: 500
                          spot:
                            burst: 250
                            rate: 200
                          trading:
                            total:
                              burst: 250
                              rate: 200
                        non_matching_engine:
                          burst: 1500
                          rate: 1000
                      maintenance_margin: 0
                      margin_balance: 100
                      margin_model: segregated_sm
                      options_delta: 0
                      options_gamma: 0
                      options_gamma_map: {}
                      options_pl: 0
                      options_session_rpl: 0
                      options_session_upl: 0
                      options_theta: 0
                      options_theta_map: {}
                      options_value: 0
                      options_vega: 0
                      options_vega_map: {}
                      portfolio_margining_enabled: false
                      projected_delta_total: 0
                      projected_initial_margin: 0.0002
                      projected_maintenance_margin: 0
                      session_rpl: 0
                      session_upl: 0
                      spot_reserve: 0.0002
                      total_pl: 0
                  system_name: user
                  type: main
                  username: user
          schema:
            $ref: '#/components/schemas/PrivateAccountSummariesResponse'
      description: Success response
  schemas:
    PrivateAccountSummariesResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          properties:
            affiliate_promotion_fee:
              description: Affiliate promotion fee (if greater than 0.0)
              example: 0
              type: number
            block_rfq_self_match_prevention:
              description: >-
                When Block RFQ Self Match Prevention is enabled, it ensures that
                RFQs cannot be executed between accounts that belong to the same
                legal entity. This setting is independent of the general
                self-match prevention settings and must be configured
                separately.
              type: string
            creation_timestamp:
              description: >-
                Time at which the account was created (milliseconds since the
                Unix epoch; available when parameter `extended` = `true`)
              example: 1542100802842
              type: integer
            email:
              description: User email (available when parameter `extended` = `true`)
              example: support@deribit.com
              type: string
            id:
              description: Account id (available when parameter `extended` = `true`)
              example: 12354
              type: integer
            interuser_transfers_enabled:
              description: >-
                `true` when the inter-user transfers are enabled for user
                (available when parameter `extended` = `true`)
              example: false
              type: boolean
            login_enabled:
              description: >-
                Whether account is loginable using email and password (available
                when parameter `extended` = `true` and account is a subaccount)
              example: false
              type: boolean
            mmp_enabled:
              description: >-
                Whether MMP is enabled (available when parameter `extended` =
                `true`)
              example: false
              type: boolean
            receive_notifications:
              description: Whether the account receives notifications
              example: false
              type: boolean
            referrer_id:
              description: >-
                Optional identifier of the referrer (of the affiliation program,
                and available when parameter `extended` = `true`), which link
                was used by this account at registration. It coincides with
                suffix of the affiliation link path after `/reg-`
              example: '517.6035'
              type: string
            security_keys_enabled:
              description: >-
                Whether Security Key authentication is enabled (available when
                parameter `extended` = `true`)
              example: false
              type: boolean
            self_trading_extended_to_subaccounts:
              description: >-
                `true` if self trading rejection behavior is applied to trades
                between subaccounts (available when parameter `extended` =
                `true`)
              type: string
            self_trading_reject_mode:
              description: >-
                Self trading rejection behavior - `reject_taker` or
                `cancel_maker` (available when parameter `extended` = `true`)
              type: string
            summaries:
              description: Aggregated list of per-currency account summaries
              items:
                properties:
                  additional_reserve:
                    $ref: '#/components/schemas/additional_reserve'
                  affiliate_promotion_fee:
                    description: Affiliate promotion fee (if greater than 0.0)
                    example: 0
                    type: number
                  available_funds:
                    description: >-
                      The account's available funds. When cross collateral is
                      enabled, this aggregated value is calculated by converting
                      the sum of each cross collateral currency's value to the
                      given currency, using each cross collateral currency's
                      index.
                    example: 2.2638913
                    type: number
                  available_withdrawal_funds:
                    description: The account's available to withdrawal funds
                    example: 2.26
                    type: number
                  balance:
                    description: The account's balance
                    example: 3.4906363
                    type: number
                  cross_collateral_enabled:
                    description: When `true` cross collateral is enabled for user
                    example: true
                    type: boolean
                  currency:
                    description: Currency of the summary
                    example: ETH
                    type: string
                  delta_total:
                    $ref: '#/components/schemas/delta_total'
                  deposit_address:
                    description: The deposit address for the account (if available)
                    example: 14diAAyXL5UzhPTCKC998ch2GV7DMb7yDi
                    type: string
                  equity:
                    description: The account's current equity
                    example: 2.6437733
                    type: number
                  estimated_liquidation_ratio:
                    $ref: '#/components/schemas/estimated_liquidation_ratio'
                  fee_balance:
                    $ref: '#/components/schemas/fee_balance'
                  fee_group:
                    description: >-
                      Fee group indicates the level of fee discounts applied to
                      an account. Use `extended`: `true` to view this field. If
                      the field is missing, the account is not assigned to any
                      fee group. **📖 Related Support Article:** [Automatically
                      applied volume based fee
                      discounts](https://support.deribit.com/hc/en-us/articles/25944746248989-Fees#heading-11)
                    type: string
                  fees:
                    additionalProperties:
                      additionalProperties:
                        properties:
                          block_trade:
                            description: Block trade fee (if applicable)
                            type: number
                          default:
                            properties:
                              maker:
                                description: Maker fee
                                type: number
                              taker:
                                description: Taker fee
                                type: number
                              type:
                                description: Fee calculation type (e.g., fixed, relative)
                                type: string
                            required:
                              - type
                              - taker
                              - maker
                            type: object
                        required:
                          - default
                        type: object
                      type: object
                    description: >-
                      Fee structure for all currency pairs and instrument types
                      related to the currency (available when parameter
                      `extended` = `true` and user has any discounts). Keys are
                      index names (e.g., "btc_usd"), values are objects with
                      instrument types as keys (option, perpetual, future).
                    type: object
                  futures_pl:
                    description: Futures profit and Loss
                    example: 0
                    type: number
                  futures_session_rpl:
                    description: Futures session realized profit and Loss
                    example: 0
                    type: number
                  futures_session_upl:
                    description: Futures session unrealized profit and Loss
                    example: 0
                    type: number
                  has_non_block_chain_equity:
                    description: >-
                      Optional field returned with value `true` when user has
                      non block chain equity that is excluded from proof of
                      reserve calculations
                    type: boolean
                  initial_margin:
                    description: >-
                      The account's initial margin. When cross collateral is
                      enabled, this aggregated value is calculated by converting
                      the sum of each cross collateral currency's value to the
                      given currency, using each cross collateral currency's
                      index.
                    example: 0.379882
                    type: number
                  limits:
                    $ref: '#/components/schemas/api_limits'
                  maintenance_margin:
                    description: >-
                      The maintenance margin. When cross collateral is enabled,
                      this aggregated value is calculated by converting the sum
                      of each cross collateral currency's value to the given
                      currency, using each cross collateral currency's index.
                    example: 0.1334519
                    type: number
                  margin_balance:
                    description: >-
                      The account's margin balance. When cross collateral is
                      enabled, this aggregated value is calculated by converting
                      the sum of each cross collateral currency's value to the
                      given currency, using each cross collateral currency's
                      index.
                    example: 2.25
                    type: number
                  margin_model:
                    description: Name of user's currently enabled margin model
                    example: segregated_sm
                    type: string
                  options_delta:
                    description: Options summary delta
                    example: 0
                    type: number
                  options_gamma:
                    description: Options summary gamma
                    example: 0
                    type: number
                  options_gamma_map:
                    description: Map of options' gammas per index
                    type: object
                  options_pl:
                    description: Options profit and Loss
                    example: 0
                    type: number
                  options_session_rpl:
                    description: Options session realized profit and Loss
                    example: 0
                    type: number
                  options_session_upl:
                    description: Options session unrealized profit and Loss
                    example: 0
                    type: number
                  options_theta:
                    description: Options summary theta
                    example: 0
                    type: number
                  options_theta_map:
                    description: Map of options' thetas per index
                    type: object
                  options_value:
                    description: Options value
                    example: 0
                    type: number
                  options_vega:
                    description: Options summary vega
                    example: 0
                    type: number
                  options_vega_map:
                    description: Map of options' vegas per index
                    type: object
                  portfolio_margining_enabled:
                    description: '`true` when portfolio margining is enabled for user'
                    example: true
                    type: boolean
                  projected_delta_total:
                    $ref: '#/components/schemas/projected_delta_total'
                  projected_initial_margin:
                    $ref: '#/components/schemas/projected_initial_margin'
                  projected_maintenance_margin:
                    $ref: '#/components/schemas/projected_maintenance_margin'
                  receive_notifications:
                    description: Whether the account receives notifications
                    example: false
                    type: boolean
                  session_rpl:
                    $ref: '#/components/schemas/rpl'
                  session_upl:
                    $ref: '#/components/schemas/upl'
                  spot_reserve:
                    description: The account's balance reserved in active spot orders
                    example: 0.3
                    type: number
                  total_delta_total_usd:
                    description: >-
                      Optional (only for users using cross margin). The
                      account's total delta total in all cross collateral
                      currencies, expressed in USD
                    example: 1.8
                    type: number
                  total_equity_usd:
                    description: >-
                      Optional (only for users using cross margin). The
                      account's total equity in all cross collateral currencies,
                      expressed in USD
                    example: 2.6437733
                    type: number
                  total_initial_margin_usd:
                    description: >-
                      Optional (only for users using cross margin). The
                      account's total initial margin in all cross collateral
                      currencies, expressed in USD
                    example: 0.379882
                    type: number
                  total_maintenance_margin_usd:
                    description: >-
                      Optional (only for users using cross margin). The
                      account's total maintenance margin in all cross collateral
                      currencies, expressed in USD
                    example: 0.1334519
                    type: number
                  total_margin_balance_usd:
                    description: >-
                      Optional (only for users using cross margin). The
                      account's total margin balance in all cross collateral
                      currencies, expressed in USD
                    example: 2.25
                    type: number
                  total_pl:
                    description: Profit and loss
                    example: 0.02032221
                    type: number
                  trading_products_details:
                    description: >-
                      Which trading products are enabled or can be overwritten
                      for the account
                    type: object
                required:
                  - equity
                  - currency
                  - maintenance_margin
                  - initial_margin
                  - available_funds
                  - available_withdrawal_funds
                  - balance
                  - session_upl
                  - session_rpl
                  - total_pl
                  - options_pl
                  - options_session_upl
                  - options_session_rpl
                  - options_delta
                  - options_gamma
                  - options_vega
                  - options_value
                  - options_theta
                  - futures_pl
                  - options_gamma_map
                  - options_theta_map
                  - options_vega_map
                  - futures_session_upl
                  - futures_session_rpl
                  - projected_maintenance_margin
                  - delta_total
                  - projected_delta_total
                type: object
              type: array
            system_name:
              description: >-
                System generated user nickname (available when parameter
                `extended` = `true`)
              example: myname
              type: string
            trading_products_details:
              description: >-
                Which trading products are enabled or can be overwritten for the
                account
              type: object
            type:
              description: Account type (available when parameter `extended` = `true`)
              enum:
                - main
                - subaccount
              type: string
            username:
              description: >-
                Account name (given by user) (available when parameter
                `extended` = `true`)
              example: name
              type: string
          required:
            - security_keys_enabled
            - system_name
            - username
            - email
            - type
            - id
          type: object
      required:
        - jsonrpc
        - result
      type: object
    additional_reserve:
      description: The account's balance reserved in other orders
      example: 0.3
      type: number
    delta_total:
      description: >
        The sum of position deltas. 


        **DeltaTotal = Net Transaction Delta of options + BTC Position of
        Futures**


        The DeltaTotal uses the Net Transaction Delta (or price adjusted Delta)
        of the options, where Net Transaction Delta = Black Scholes Delta - Mark
        Price of Options.


        This is because, from a risk perspective, we are interested in the
        change in Bitcoin price as the underlying changes.


        You should actually treat your delta as **Equity + Delta Total** if you
        want to have less risk for your USD PnL.


        ⚠️ **During the 30 minute settlement period we decay your Delta.** See
        [Delta decay during
        settlement](https://support.deribit.com/hc/en-us/articles/25944751433757-Delta-decay-during-settlement)
        for more details.
      example: 0.1334
      type: number
    estimated_liquidation_ratio:
      description: >-
        Estimated Liquidation Ratio is returned only for users without portfolio
        margining enabled. Multiplying it by future position's market price
        returns its estimated liquidation price. When cross collateral is
        enabled, this aggregated value is calculated by converting the sum of
        each cross collateral currency's value to the given currency, using each
        cross collateral currency's index.
      example: 0.0000234
      type: number
    fee_balance:
      description: The account's fee balance (it can be used to pay for fees)
      type: number
    api_limits:
      description: >-
        Returned object is described in [separate
        document](https://support.deribit.com/hc/en-us/articles/25944617523357-Rate-Limits).
      type: object
    projected_delta_total:
      description: >-
        The sum of position deltas without positions that will expire during
        closest expiration
      example: 0.1334
      type: number
    projected_initial_margin:
      description: >-
        Projected initial margin. When cross collateral is enabled, this
        aggregated value is calculated by converting the sum of each cross
        collateral currency's value to the given currency, using each cross
        collateral currency's index.
      example: 1
      type: number
    projected_maintenance_margin:
      description: >-
        Projected maintenance margin. When cross collateral is enabled, this
        aggregated value is calculated by converting the sum of each cross
        collateral currency's value to the given currency, using each cross
        collateral currency's index.
      example: 1
      type: number
    rpl:
      description: Session realized profit and loss
      example: 0.1
      type: number
    upl:
      description: Session unrealized profit and loss
      example: 0.846863
      type: number

````